# $Id$
# Authority: dag

%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

Summary: Accessing HP iLO interfaces from python
Name: python-hpilo
Version: 1.4
Release: 1%{?dist}
Group: Development/Languages
License: GPLv3
URL: http://seveas.github.com/python-hpilo/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://pypi.python.org/packages/source/p/python-hpilo/python-hpilo-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python-devel >= 2.4

%description
This module will make it easy for you to access the Integrated Lights Out
management interface of your HP hardware. It supports RILOE II, iLO, iLO 2, iLO
3 and iLO 4. It uses the XML interface or hponcfg to access and change the iLO.

HP, Integrated Lights out and iLO are trademarks of HP, with whom the author of
this software is not affiliated in any way other than using some of their
hardware.

%prep
%setup

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
#%doc COPYING README firmware.conf ilo.conf.example docs/
%doc README docs/
%{_bindir}/hpilo_ca
%{_bindir}/hpilo_cli
%{python_sitelib}/hpilo*.py
%{python_sitelib}/hpilo*.pyc
%exclude %{python_sitelib}/hpilo*.pyo

%changelog
* Thu Sep 06 2012 Dag Wieers <dag@wieers.com> - 1.4-1
- Initial package. (using DAR)
